summaryrefslogtreecommitdiffstats
path: root/libraries/cdk
diff options
context:
space:
mode:
author Larry Hajali2010-05-12 23:30:01 +0200
committer David Somero2010-05-12 23:30:01 +0200
commite83181cac9af71c710872e493438d995987bf86a (patch)
tree610161371696bce146335079488af88698d5775f /libraries/cdk
parent861ff71e559666adbc23c76cc3cc160249b1f3c4 (diff)
downloadslackbuilds-e83181cac9af71c710872e493438d995987bf86a.tar.gz
libraries/cdk: Added to 12.2 repository
Diffstat (limited to 'libraries/cdk')
-rw-r--r--libraries/cdk/README10
-rw-r--r--libraries/cdk/cdk-5.0_20090215-ldflags.patch33
-rw-r--r--libraries/cdk/cdk.SlackBuild85
-rw-r--r--libraries/cdk/cdk.info8
-rw-r--r--libraries/cdk/slack-desc19
5 files changed, 155 insertions, 0 deletions
diff --git a/libraries/cdk/README b/libraries/cdk/README
new file mode 100644
index 0000000000..8e6518426c
--- /dev/null
+++ b/libraries/cdk/README
@@ -0,0 +1,10 @@
+Cdk stands for 'Curses Development Kit' and it currently contains 21 ready
+to use widgets which facilitate the speedy development of full screen
+curses programs.
+
+This is a modified/enhanced version of Cdk. The intent of the modifications
+is to preserve nominal compatibility with the original Cdk, while fixing
+bugs and design limitations. Some macros such as ObjOf() have been introduced
+to move details out of individual widgets into common functionality (see
+the cdk_objs.h header). In addition, fixed array limits have been removed,
+using new functions in some instances which do not have the fixed limits. \ No newline at end of file
diff --git a/libraries/cdk/cdk-5.0_20090215-ldflags.patch b/libraries/cdk/cdk-5.0_20090215-ldflags.patch
new file mode 100644
index 0000000000..0a2b244250
--- /dev/null
+++ b/libraries/cdk/cdk-5.0_20090215-ldflags.patch
@@ -0,0 +1,33 @@
+--- Makefile.in.orig 2008-10-31 00:40:47.000000000 +0100
++++ Makefile.in 2009-02-02 19:14:59.892008198 +0100
+@@ -267,7 +267,7 @@
+ all cdklib :: $(DEFAULT)
+
+ $(CDKLIB) :: $(OBJECTS)
+- @echo creating $@; $(LIBTOOL_CREATE) $@ $(LIB_OBJECT)
++ @echo creating $@; $(LIBTOOL_CREATE) $@ $(LIB_OBJECT) $(LIBS)
+ @$(RANLIB) $@
+
+ cdkshlib $(CDKSHLIB) :: $(CDKSHOBJS)
+--- aclocal.m4.orig 2009-02-02 19:13:54.256006211 +0100
++++ aclocal.m4 2009-02-02 19:14:39.332007971 +0100
+@@ -2425,7 +2425,7 @@
+ AC_MSG_ERROR(Cannot find libtool)
+ fi
+ ])dnl
+- LIB_CREATE='${LIBTOOL} --mode=link ${CC} -rpath ${DESTDIR}${libdir} -version-info `cut -f1 ${srcdir}/VERSION` ${LIBTOOL_OPTS} -o'
++ LIB_CREATE='${LIBTOOL} --mode=link ${CC} -rpath ${DESTDIR}${libdir} -version-info `cut -f1 ${srcdir}/VERSION` ${LDFLAGS} ${LIBTOOL_OPTS} -o'
+ LIB_OBJECT='${OBJECTS:.o=.lo}'
+ LIB_SUFFIX=.la
+ LIB_CLEAN='${LIBTOOL} --mode=clean'
+--- configure.orig 2009-02-02 19:30:01.000000000 +0100
++++ configure 2009-02-02 19:30:50.000000000 +0100
+@@ -3869,7 +3869,7 @@
+ echo "$as_me: error: Cannot find libtool" >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+- LIB_CREATE='${LIBTOOL} --mode=link ${CC} -rpath ${DESTDIR}${libdir} -version-info `cut -f1 ${srcdir}/VERSION` ${LIBTOOL_OPTS} -o'
++ LIB_CREATE='${LIBTOOL} --mode=link ${CC} -rpath ${DESTDIR}${libdir} -version-info `cut -f1 ${srcdir}/VERSION` ${LDFLAGS} ${LIBTOOL_OPTS} -o'
+ LIB_OBJECT='${OBJECTS:.o=.lo}'
+ LIB_SUFFIX=.la
+ LIB_CLEAN='${LIBTOOL} --mode=clean'
diff --git a/libraries/cdk/cdk.SlackBuild b/libraries/cdk/cdk.SlackBuild
new file mode 100644
index 0000000000..8754a33186
--- /dev/null
+++ b/libraries/cdk/cdk.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for cdk
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=cdk
+VERSION=${VERSION:-5.0_20090215}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCVERSION=$(echo $VERSION | tr _ -)
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVERSION
+tar xvf $CWD/$PRGNAM.tar.gz
+cd $PRGNAM-$SRCVERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+patch -p0 < $CWD/cdk-5.0_20090215-ldflags.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --with-ncurses \
+ --with-x \
+ --with-Xaw3d \
+ --with-libtool \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGES COPYING EXPANDING INSTALL NOTES README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/cdk/cdk.info b/libraries/cdk/cdk.info
new file mode 100644
index 0000000000..624a85f8b4
--- /dev/null
+++ b/libraries/cdk/cdk.info
@@ -0,0 +1,8 @@
+PRGNAM="cdk"
+VERSION="5.0_20090215"
+HOMEPAGE="http://invisible-island.net/cdk/"
+DOWNLOAD="ftp://invisible-island.net/cdk/cdk.tar.gz"
+MD5SUM="851adaa3b6c51d39fb61d8ed1714a7d3"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="dsomero"
diff --git a/libraries/cdk/slack-desc b/libraries/cdk/slack-desc
new file mode 100644
index 0000000000..0a36e1b1ef
--- /dev/null
+++ b/libraries/cdk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cdk: cdk (A library of curses widgets)
+cdk:
+cdk: Cdk stands for 'Curses Development Kit' and it currently contains 21
+cdk: ready to use widgets which facilitate the speedy development of full
+cdk: screen curses programs.
+cdk:
+cdk: Homepage: http://invisible-island.net/cdk/
+cdk:
+cdk:
+cdk:
+cdk: